<?php
    // fetch variables from xhtmail 
    // they will be hardcoded in the resulting page
    $mailing_list_name = "<^MAILING_LIST_NAME^>";
    $title = "<^TITLE^>";
    $index_uri = "<^INDEX_URI^>";
    $parent_uri = "<^PARENT_URI^>";
    $first_uri = "<^FIRST_URI^>";
    $prev_uri = "<^PREV_URI^>";
    $next_uri = "<^NEXT_URI^>";
    $last_uri = "<^LAST_URI^>";
    $index_title = "<^INDEX_TITLE^>";
    $parent_title = "<^PARENT_TITLE^>";
    $first_title = "<^FIRST_TITLE^>";
    $prev_title = "<^PREV_TITLE^>";
    $next_title = "<^NEXT_TITLE^>";
    $last_title = "<^LAST_TITLE^>";
    $date_of_creation = "<^DATE_OF_CREATION^>";
    $date_of_update = "<^DATE_OF_UPDATE^>";
    $creator_name = "<^CREATOR_NAME^>";
    $contributor_names = "<^CONTRIBUTOR_NAMES^>";
    $rss_path = "<^RSS_PATH^>";
    $atom_path = "<^ATOM_PATH^>";
    // clear values
    foreach (array('title', 'index_uri', 'parent_uri', 'first_uri', 'prev_uri', 'next_uri', 'last_uri', 'index_title', 'parent_title', 'first_title', 'prev_title', 'next_title', 'last_title', 'date_of_creation', 'date_of_update', 'creator_name', 'contributor_names', 'rss_path', 'atom_path') as $i) {
        if ($$i == "<^" . strtoupper($i) . "^>") { $$i = ''; };
    };
    $page_title = $mailing_list_name;
    if ($title != '') { $page_title .= ' - ' . $title; };

    $contributor_array = array();
    if ($contributor_names != '') {
        $contributor_array = explode(',', $contributor_names);
    };
ob_start();
include('/var/www/html/ptaff.ca/ptaff.ca.php');
ob_end_clean();
$ui = new ui();
if ($_GET['lang'] == '') { $_GET['lang'] = "fr_CA"; };
$ui->use_gettext($_GET['lang']);
$ui->set_title($page_title);
$ui->set_copyright("Copyright &#169; 2005.");
$ui->set_licence('TDRI');
$ui->set_creation($date_of_creation);
$ui->set_mise_a_jour($date_of_update);
if ($rss_path != '') {
    $ui->set_rss($rss_path);
};
if ($atom_path != '') {
    $ui->set_atom($atom_path);
};
if ($creator_name != '') {
    $ui->add_creator($creator_name);
};
foreach ($contributor_array as $a) {
    $ui->add_contributor($a);
};
$ui->set_tags(array(CSS, XHTML11, WAI));
if ($parent_uri != '') { $ui->set_rel_up($parent_title, $parent_uri); };
if ($first_uri != '') { $ui->set_rel_first($first_title, $first_uri); }; 
if ($prev_uri != '') { $ui->set_rel_prev($prev_title, $prev_uri); }; 
if ($next_uri != '') { $ui->set_rel_next($next_title, $next_uri); }; 
if ($last_uri != '') { $ui->set_rel_last($last_title, $last_uri); }; 
$ui->set_css_path("/xhtmailimg/index.ptaff.cssphp");
$ui->HTMLHeader();
?>
    <body>
    <div class="page">
